com.independentsoft.exchange

## Enum HoldStatusType

- java.lang.Object
- - java.lang.Enum<HoldStatusType>
  - - com.independentsoft.exchange.HoldStatusType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HoldStatusType>

      public enum HoldStatusType
      extends java.lang.Enum<HoldStatusType>

  The Enum HoldStatusType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILED`
    `NOT_ON_HOLD`
    `ON_HOLD`
    `PARTIAL_HOLD`
    `PENDING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HoldStatusType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HoldStatusType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_ON_HOLD

          public static final HoldStatusType NOT_ON_HOLD

    - #### PENDING

          public static final HoldStatusType PENDING

    - #### ON_HOLD

          public static final HoldStatusType ON_HOLD

    - #### PARTIAL_HOLD

          public static final HoldStatusType PARTIAL_HOLD

    - #### FAILED

          public static final HoldStatusType FAILED

  - ### Method Detail

    - #### values

          public static HoldStatusType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HoldStatusType c : HoldStatusType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HoldStatusType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null